﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MongoDB.Bson.Serialization.Attributes;
using System.Reflection;

namespace DapperORM.Models
{
    /// <summary>
    /// mongo实体基类
    /// </summary>
    public class MongoBaseModel
    {
        /// <summary>
        /// 构造函数
        /// </summary>
        public MongoBaseModel() { }

        /// <summary>
        /// 主键
        /// </summary>
        [BsonId]
        public string Id { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        [BsonDateTimeOptions(Kind = DateTimeKind.Local)]
        public DateTime? LastUpdateTime { get; set; }
    }
}
